Bug 75038 - kernel panic when going runlevel 0
kernel panic when going runlevel 0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 17:15 EDT by Florian Effenberger
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Effenberger 2002-10-03 17:15:50 EDT
From Bugzilla Helper:
User-Agent: 

Description of problem:
I have a board (MS-5184 by MSI Computer) that seems to have a faulty APM or ACPI
implementation. As soon as runlevel 6 has been reached, the kernel is doing a panic.

This is due to the halt settings that say "poweroff".

I would like to see a feature to disable the "poweroff" setting without editing
the init scripts (e.g. in sysconfig).

Bug exists in 7.3 as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. init 6 / shutdown -r now

Additional info:
Comment 1 Arjan van de Ven 2002-10-03 17:32:53 EDT
what does the segment of the EIP address look like?
010:<something> or 06x:<something> ?


does reboot=c on the kernel command line at least fix the reboot ?
Comment 2 Florian Effenberger 2002-10-03 17:46:02 EDT
Oh, sorry, I switched 0 and 6. I meant runlevel 0 (halt), sorry.

I see:


Power down.
general protection fault: f000
autofs tulip iptable_filter ip_tables ide-scsi scsi_mod ide-cd cdrom ext3 jbd
CPU: 0
EIP: 0050:[<00008b55>] Not tainted
EFLAGS: 00010046

EIP is at Using_Versions [] 0xb54 (2.4.18-4)
(lot of stuff with eax, ebx, ecx, edx, esi, edi, ebp, esp, ds, es, ss)
Process halt (pid: 884, stackpage=c1365000)
(lot of stuff with Stack and Call Trace)
Code: Bad EIP value.
Comment 3 Bugzilla owner 2004-09-30 11:39:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.